<?php

header('Cache-Control: no-cache, must-revalidate');

header('Expires: Mon, 26 Jul 1997 05:00:00 GMT');

header('Content-type: application/json');

ini_set('display_errors', 0);

$rootPath = $_SERVER['DOCUMENT_ROOT']."/";



$apiKey = $_GET["AppId"];



	$query = "";

	$gets = array_change_key_case($_GET,CASE_LOWER);

	if($gets["query"]){

		$query = $gets["query"];

	}

	$resultcount = -1;

	$seoCacheFile = $rootPath.'wp-content/uploads/seo-kw/'.$query.".txt";



	if (file_exists($seoCacheFile) && is_readable($seoCacheFile))

	{

		/*$stats = stat($seoCacheFile);if ($stats[9] > (time() - (86400 * 2)) {}*/

		$retarr = file_get_contents($seoCacheFile);

		if($retarr !=="")

		{

			print_r($retarr);die;

		}

	}



	$search = new KeywordSearch($query);

	$search->Search();



	$keywords = $search->getOverallResults($resultcount);

	$ret = array();

	foreach($keywords as $key => $val){

		if($val > 1){

			$obj = array('Title' => $key, 'x' => $val);

		}

		else

		{

			$obj = array('Title' => $key);

		}

		$ret[] = $obj;

	}

	if(count($ret)){

		$retarr = json_encode(array('SearchResponse' => array('RelatedSearch' => array('Results'=>$ret))));

		print_r($retarr);

		flush();

		try

		{

			if (!is_dir($rootPath.'wp-content/uploads/seo-kw/')){mkdir($rootPath.'wp-content/uploads/seo-kw/');}

			$seoCacheFile = fopen($rootPath.'wp-content/uploads/seo-kw/'.$query.".txt",'w');

			fwrite($seoCacheFile, $retarr);fclose($seoCacheFile);

		}

		catch(error $err)

		{

			json_encode(array('result' => 'error', 'error' => 'The cache directory could not be created.'));

		}

	}

	else

	{

		print_r(' The Google server is not responding. Your server IP block may be blocked from dynamically accessing Google APIs');

	}



class KeywordSearch

{		

	public $searchQuery;

	public $numResults ;

	public $sites;

	public $finalKeywordList = array();



	function __construct($query,$numres=8){

		$this->searchQuery = $query;

		$this->numResults = $numres;

		$this->sites = array();

	}



	protected static $_excludeUrls  = array('wikipedia.com','amazon.com','youtube.com','zappos.com');



	private function getResults($resultSet){

		

		function smth($x){

			return $x->url;

		}

		

		$results = array_map('smth',$resultSet->responseData->results);



		return $results;

	}



	public function Search() {

		global $apiKey;

		$numres=$this->numResults;



		/*	direct google search */

		//	$url = "http://www.google.com/search?ie=UTF-8&q=". urlencode($this->searchQuery);



		if($apiKey !== "")

			{

			/* API google search with key */

			$url = "https://ajax.googleapis.com/ajax/services/search/web?v=1.0&rsz=8&key=".$apiKey."&q=". urlencode($this->searchQuery);

			}

		else

			{

			/* API google search */

			$url = "https://ajax.googleapis.com/ajax/services/search/web?v=1.0&rsz=8&q=". urlencode($this->searchQuery);

			}

		$links = $this->getResults(seamlessseo_complete_getPage($url, FALSE));



		$tmparr = array();

		$pcount = 0;



		foreach($links as $link)

		{

			$respage = new ResultPage($link);				

			if(count($respage->keywords) > 0)

			{

				$tmparr[] = $respage;

				$pcount++;

			}

			if($pcount == $numres)

			{

				break;

			}

		}

		$this->sites = $tmparr;

	}



	public function getOverallResults($count = -1){

		foreach($this->sites as $site)

		{

			$this->finalKeywordList = array_merge($this->finalKeywordList, $site->keywords);;

		}

		$ret;

		if($count > -1)

		{

			$ret = array_slice(seamlessseo_complete_keyword_getCountArray($this->finalKeywordList), 0, $count);

		}

		else

		{

			$ret = seamlessseo_complete_keyword_getCountArray($this->finalKeywordList);

		}

		return str_replace(",", "", $ret);	

	}	

}







class ResultPage

{

	function __construct($siteurl){$this->url = $siteurl;$this->processPage();}

	public $url;

	public $title;

	public $html;

	public $plainText;

	public $wordList;

	public $keywords = array();



	function processPage()

	{

		$tags = @get_meta_tags($this->url);

		if($tags)

		{

			$keywords = $tags['keywords']; 

		}

		if(count($keywords))

		{

			preg_match_all('/(?<=^|,)\s*((?:[^\s,]+\s*){1,4})(?=\s*(?:,|$))/', $keywords, $m); //exclude 4+ word clusters

			$this->keywords = array_slice($m[1], 0, 25);

		}

	}



	public function GetResults(){

		return seamlessseo_complete_keyword_getCountArray($this->wordList);

	}

}





function seamlessseo_complete_getPage($url, $headonly = TRUE ){



	$agents = 'Mozilla/5.0 (X11; U; Linux i686; en-US) AppleWebKit/534.16 (KHTML, like Gecko) Chrome/10.0.648.204 Safari/534.16';



	$ch = curl_init();

	curl_setopt($ch, CURLOPT_URL, $url);

	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);

	curl_setopt($ch, CURLOPT_HEADER, 0);

	curl_setopt($ch, CURLOPT_VERBOSE, FALSE);

	curl_setopt($ch, CURLOPT_USERAGENT, $agents);

	

	$response = curl_exec($ch);

		

	if(curl_exec($ch) === false)

	{

		die(curl_error($ch).': '.$url);

	}



	curl_close($ch);



	$json = json_decode($response);



	return $json;

}



function seamlessseo_complete_keyword_getCountArray($arr){

	$retarr = array_count_values($arr);

	arsort($retarr);

	return $retarr;

}



?>