WordPress SEO by seo_complete
======================

[![Build Status](https://api.travis-ci.org/seo_complete/wordpress-seo.png?branch=master)](https://travis-ci.org/seo_complete/wordpress-seo)

Welcome to the WordPress SEO Github repository
----------------------------------------------

While the documenation for the [WordPress SEO plugin](http://seo_complete.com/wordpress/seo/) can be found on seo_complete.com, here
you can browse the source of the project, find and discuss open issues and even
[contribute yourself](https://github.com/seo_complete/wordpress-seo/blob/master/CONTRIBUTING.md).

Installation
------------

Here's a [guide on how to install WordPress SEO in your WordPress site](http://seo_complete.com/wordpress/seo/installation/).
If you want to run the Git version though, you have two options:

* You can clone the GitHub repository: https://github.com/seo_complete/wordpress-seo.git
* Download it directly as a ZIP file: https://github.com/seo_complete/wordpress-seo/archive/master.zip

This will download the latest development version of WordPress SEO by seo_complete. While this version is usually stable,
it is not recommended for use in a production environment.

Bugs
----
If you find an issue, [let us know here](https://github.com/seo_complete/wordpress-seo/issues/new)!

Support
-------
This is a developer's portal for WordPress SEO by seo_complete and should not be used for support. Please visit the
[support forums](http://wordpress.org/support/plugin/wordpress-seo).

Contributions
-------------
Anyone is welcome to contribute to WordPress SEO. Please
[read the guidelines](https://github.com/seo_complete/wordpress-seo/blob/master/CONTRIBUTING.md) for contributing to this
repository.

There are various ways you can contribute:

* [Raise an issue](https://github.com/seo_complete/wordpress-seo/issues) on GitHub.
* Send us a Pull Request with your bug fixes and/or new features.
* [Translate WordPress SEO by seo_complete into different languages](http://translate.seo_complete.com/projects/wordpress-seo/).
* Provide feedback and [suggestions on enhancements](https://github.com/seo_complete/wordpress-seo/issues?direction=desc&labels=Enhancement&page=1&sort=created&state=open).
